# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models import (  # type: ignore
    ActivationLinks,
    AddRemoveDbNode,
    AllConnectionStringType,
    ApexDetailsType,
    AutonomousDatabase,
    AutonomousDatabaseBackup,
    AutonomousDatabaseBackupProperties,
    AutonomousDatabaseBackupUpdate,
    AutonomousDatabaseBackupUpdateProperties,
    AutonomousDatabaseBaseProperties,
    AutonomousDatabaseCharacterSet,
    AutonomousDatabaseCharacterSetProperties,
    AutonomousDatabaseCloneProperties,
    AutonomousDatabaseCrossRegionDisasterRecoveryProperties,
    AutonomousDatabaseFromBackupTimestampProperties,
    AutonomousDatabaseNationalCharacterSet,
    AutonomousDatabaseNationalCharacterSetProperties,
    AutonomousDatabaseProperties,
    AutonomousDatabaseStandbySummary,
    AutonomousDatabaseUpdate,
    AutonomousDatabaseUpdateProperties,
    AutonomousDatabaseWalletFile,
    AutonomousDbVersion,
    AutonomousDbVersionProperties,
    AzureSubscriptions,
    CloudAccountDetails,
    CloudExadataInfrastructure,
    CloudExadataInfrastructureProperties,
    CloudExadataInfrastructureUpdate,
    CloudExadataInfrastructureUpdateProperties,
    CloudVmCluster,
    CloudVmClusterProperties,
    CloudVmClusterUpdate,
    CloudVmClusterUpdateProperties,
    ConnectionStringType,
    ConnectionUrlType,
    CustomerContact,
    DataCollectionOptions,
    DayOfWeek,
    DayOfWeekUpdate,
    DbActionResponse,
    DbIormConfig,
    DbNode,
    DbNodeAction,
    DbNodeDetails,
    DbNodeProperties,
    DbServer,
    DbServerPatchingDetails,
    DbServerProperties,
    DbSystemShape,
    DbSystemShapeProperties,
    DefinedFileSystemConfiguration,
    DisasterRecoveryConfigurationDetails,
    DnsPrivateView,
    DnsPrivateViewProperties,
    DnsPrivateZone,
    DnsPrivateZoneProperties,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    EstimatedPatchingTime,
    ExadataIormConfig,
    ExadbVmCluster,
    ExadbVmClusterProperties,
    ExadbVmClusterStorageDetails,
    ExadbVmClusterUpdate,
    ExadbVmClusterUpdateProperties,
    ExascaleDbNode,
    ExascaleDbNodeProperties,
    ExascaleDbStorageDetails,
    ExascaleDbStorageInputDetails,
    ExascaleDbStorageVault,
    ExascaleDbStorageVaultProperties,
    ExascaleDbStorageVaultTagsUpdate,
    FileSystemConfigurationDetails,
    FlexComponent,
    FlexComponentProperties,
    GenerateAutonomousDatabaseWalletDetails,
    GiMinorVersion,
    GiMinorVersionProperties,
    GiVersion,
    GiVersionProperties,
    LongTermBackUpScheduleDetails,
    MaintenanceWindow,
    Month,
    NsgCidr,
    Operation,
    OperationDisplay,
    OracleSubscription,
    OracleSubscriptionProperties,
    OracleSubscriptionUpdate,
    OracleSubscriptionUpdateProperties,
    PeerDbDetails,
    Plan,
    PlanUpdate,
    PortRange,
    PrivateIpAddressProperties,
    PrivateIpAddressesFilter,
    ProfileType,
    ProxyResource,
    RemoveVirtualMachineFromExadbVmClusterDetails,
    Resource,
    RestoreAutonomousDatabaseDetails,
    SaasSubscriptionDetails,
    ScheduledOperationsType,
    ScheduledOperationsTypeUpdate,
    SystemData,
    SystemVersion,
    SystemVersionProperties,
    TrackedResource,
    VirtualNetworkAddress,
    VirtualNetworkAddressProperties,
)

from ._enums import (  # type: ignore
    ActionType,
    AddSubscriptionOperationState,
    AutonomousDatabaseBackupLifecycleState,
    AutonomousDatabaseBackupType,
    AutonomousDatabaseLifecycleState,
    AutonomousMaintenanceScheduleType,
    AzureResourceProvisioningState,
    CloneType,
    CloudAccountProvisioningState,
    CloudExadataInfrastructureLifecycleState,
    CloudVmClusterLifecycleState,
    ComputeModel,
    ConsumerGroup,
    CreatedByType,
    DataBaseType,
    DataSafeStatusType,
    DatabaseEditionType,
    DayOfWeekName,
    DbNodeActionEnum,
    DbNodeMaintenanceType,
    DbNodeProvisioningState,
    DbServerPatchingStatus,
    DbServerProvisioningState,
    DisasterRecoveryType,
    DiskRedundancy,
    DnsPrivateViewsLifecycleState,
    DnsPrivateZonesLifecycleState,
    ExadbVmClusterLifecycleState,
    ExascaleDbStorageVaultLifecycleState,
    GenerateType,
    GridImageType,
    HardwareType,
    HostFormatType,
    Intent,
    IormLifecycleState,
    LicenseModel,
    MonthName,
    Objective,
    OpenModeType,
    OperationsInsightsStatusType,
    OracleSubscriptionProvisioningState,
    Origin,
    PatchingMode,
    PermissionLevelType,
    Preference,
    ProtocolType,
    RefreshableModelType,
    RefreshableStatusType,
    RepeatCadenceType,
    ResourceProvisioningState,
    RoleType,
    SessionModeType,
    ShapeFamily,
    SourceType,
    SyntaxFormatType,
    SystemShapes,
    TlsAuthenticationType,
    VirtualNetworkAddressLifecycleState,
    WorkloadType,
    ZoneType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ActivationLinks",
    "AddRemoveDbNode",
    "AllConnectionStringType",
    "ApexDetailsType",
    "AutonomousDatabase",
    "AutonomousDatabaseBackup",
    "AutonomousDatabaseBackupProperties",
    "AutonomousDatabaseBackupUpdate",
    "AutonomousDatabaseBackupUpdateProperties",
    "AutonomousDatabaseBaseProperties",
    "AutonomousDatabaseCharacterSet",
    "AutonomousDatabaseCharacterSetProperties",
    "AutonomousDatabaseCloneProperties",
    "AutonomousDatabaseCrossRegionDisasterRecoveryProperties",
    "AutonomousDatabaseFromBackupTimestampProperties",
    "AutonomousDatabaseNationalCharacterSet",
    "AutonomousDatabaseNationalCharacterSetProperties",
    "AutonomousDatabaseProperties",
    "AutonomousDatabaseStandbySummary",
    "AutonomousDatabaseUpdate",
    "AutonomousDatabaseUpdateProperties",
    "AutonomousDatabaseWalletFile",
    "AutonomousDbVersion",
    "AutonomousDbVersionProperties",
    "AzureSubscriptions",
    "CloudAccountDetails",
    "CloudExadataInfrastructure",
    "CloudExadataInfrastructureProperties",
    "CloudExadataInfrastructureUpdate",
    "CloudExadataInfrastructureUpdateProperties",
    "CloudVmCluster",
    "CloudVmClusterProperties",
    "CloudVmClusterUpdate",
    "CloudVmClusterUpdateProperties",
    "ConnectionStringType",
    "ConnectionUrlType",
    "CustomerContact",
    "DataCollectionOptions",
    "DayOfWeek",
    "DayOfWeekUpdate",
    "DbActionResponse",
    "DbIormConfig",
    "DbNode",
    "DbNodeAction",
    "DbNodeDetails",
    "DbNodeProperties",
    "DbServer",
    "DbServerPatchingDetails",
    "DbServerProperties",
    "DbSystemShape",
    "DbSystemShapeProperties",
    "DefinedFileSystemConfiguration",
    "DisasterRecoveryConfigurationDetails",
    "DnsPrivateView",
    "DnsPrivateViewProperties",
    "DnsPrivateZone",
    "DnsPrivateZoneProperties",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "EstimatedPatchingTime",
    "ExadataIormConfig",
    "ExadbVmCluster",
    "ExadbVmClusterProperties",
    "ExadbVmClusterStorageDetails",
    "ExadbVmClusterUpdate",
    "ExadbVmClusterUpdateProperties",
    "ExascaleDbNode",
    "ExascaleDbNodeProperties",
    "ExascaleDbStorageDetails",
    "ExascaleDbStorageInputDetails",
    "ExascaleDbStorageVault",
    "ExascaleDbStorageVaultProperties",
    "ExascaleDbStorageVaultTagsUpdate",
    "FileSystemConfigurationDetails",
    "FlexComponent",
    "FlexComponentProperties",
    "GenerateAutonomousDatabaseWalletDetails",
    "GiMinorVersion",
    "GiMinorVersionProperties",
    "GiVersion",
    "GiVersionProperties",
    "LongTermBackUpScheduleDetails",
    "MaintenanceWindow",
    "Month",
    "NsgCidr",
    "Operation",
    "OperationDisplay",
    "OracleSubscription",
    "OracleSubscriptionProperties",
    "OracleSubscriptionUpdate",
    "OracleSubscriptionUpdateProperties",
    "PeerDbDetails",
    "Plan",
    "PlanUpdate",
    "PortRange",
    "PrivateIpAddressProperties",
    "PrivateIpAddressesFilter",
    "ProfileType",
    "ProxyResource",
    "RemoveVirtualMachineFromExadbVmClusterDetails",
    "Resource",
    "RestoreAutonomousDatabaseDetails",
    "SaasSubscriptionDetails",
    "ScheduledOperationsType",
    "ScheduledOperationsTypeUpdate",
    "SystemData",
    "SystemVersion",
    "SystemVersionProperties",
    "TrackedResource",
    "VirtualNetworkAddress",
    "VirtualNetworkAddressProperties",
    "ActionType",
    "AddSubscriptionOperationState",
    "AutonomousDatabaseBackupLifecycleState",
    "AutonomousDatabaseBackupType",
    "AutonomousDatabaseLifecycleState",
    "AutonomousMaintenanceScheduleType",
    "AzureResourceProvisioningState",
    "CloneType",
    "CloudAccountProvisioningState",
    "CloudExadataInfrastructureLifecycleState",
    "CloudVmClusterLifecycleState",
    "ComputeModel",
    "ConsumerGroup",
    "CreatedByType",
    "DataBaseType",
    "DataSafeStatusType",
    "DatabaseEditionType",
    "DayOfWeekName",
    "DbNodeActionEnum",
    "DbNodeMaintenanceType",
    "DbNodeProvisioningState",
    "DbServerPatchingStatus",
    "DbServerProvisioningState",
    "DisasterRecoveryType",
    "DiskRedundancy",
    "DnsPrivateViewsLifecycleState",
    "DnsPrivateZonesLifecycleState",
    "ExadbVmClusterLifecycleState",
    "ExascaleDbStorageVaultLifecycleState",
    "GenerateType",
    "GridImageType",
    "HardwareType",
    "HostFormatType",
    "Intent",
    "IormLifecycleState",
    "LicenseModel",
    "MonthName",
    "Objective",
    "OpenModeType",
    "OperationsInsightsStatusType",
    "OracleSubscriptionProvisioningState",
    "Origin",
    "PatchingMode",
    "PermissionLevelType",
    "Preference",
    "ProtocolType",
    "RefreshableModelType",
    "RefreshableStatusType",
    "RepeatCadenceType",
    "ResourceProvisioningState",
    "RoleType",
    "SessionModeType",
    "ShapeFamily",
    "SourceType",
    "SyntaxFormatType",
    "SystemShapes",
    "TlsAuthenticationType",
    "VirtualNetworkAddressLifecycleState",
    "WorkloadType",
    "ZoneType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
